net.snowflake.client.ingest

## Class IngestHistoryResponse.FileEntry

- java.lang.Object
- - net.snowflake.client.ingest.IngestHistoryResponse.FileEntry

Enclosing class:
  IngestHistoryResponse

    public static final class IngestHistoryResponse.FileEntry
    extends Object

### Field Summary

Fields
`boolean` `complete`
`Long` `errorsSeen`
`Long` `fileSize`
`String` `firstError`
`Long` `firstErrorCharacterPos`
`String` `firstErrorColumnName`
`Long` `firstErrorLineNum`
`String` `lastInsertTime`
`String` `path`
`Long` `rowsInserted`
`Long` `rowsParsed`
`String` `systemError`
`String` `timeReceived`

### Constructor Summary

Constructors
Constructor and Description
`FileEntry()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### path

    public String path

#### fileSize

    public Long fileSize

#### timeReceived

    public String timeReceived

#### lastInsertTime

    public String lastInsertTime

#### rowsInserted

    public Long rowsInserted

#### rowsParsed

    public Long rowsParsed

#### errorsSeen

    public Long errorsSeen

#### firstError

    public String firstError

#### firstErrorLineNum

    public Long firstErrorLineNum

#### firstErrorCharacterPos

    public Long firstErrorCharacterPos

#### firstErrorColumnName

    public String firstErrorColumnName

#### systemError

    public String systemError

#### complete

    public boolean complete

### Constructor Detail

#### FileEntry

    public FileEntry()